version: "3.7"

volumes:
  doc:
    name: doc

networks:
  proxy:
    external: true

services:
  doc:
    container_name: doc
    image: nginx:1.25-alpine
    volumes:
      - doc:/usr/share/nginx/html
    labels:
      traefik.http.routers.doc.entrypoints: websecure
      traefik.http.routers.doc.rule: Host(`doc.picasoft.net`)
      traefik.http.services.doc.loadbalancer.server.port: 80
      traefik.enable: true
    networks:
      - proxy
    restart: unless-stopped
